# -*- coding: utf-8 -*-
"""
SynthTransactions
A model to create synthetic credit card transaction datasets

v 1.0
"""


from SynthTransactions import CreateTransactions
import SynthTransactions_TestFunctions as TF
 

numUsers = 2000
numStores = 1000
numDays = 100

Transactions = CreateTransactions(numUsers, numStores, numDays, userSwap = False)

#HourDistr = TF.CheckDistributionH( Transactions )
#DailyDistr = TF.CheckDistributionD( Transactions )
#QuantDistr = TF.CheckDistributionQ( Transactions )
#NumOpsDistr = TF.CheckDistributionNumOps( Transactions )
TimeDistr = TF.CheckTimeBetweenTransactions( Transactions, 15 )
#NumOpsDistr = TF.CheckDistributionNumOpsStores( Transactions )
